NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.FeatureExtractionBuilder Class Reference

Represents a NXOpen.Facet.FeatureExtractionBuilder It extracts feature lines or separates regions of different curvature from a facet body based on the curvature map. More...

Inheritance diagram for NXOpen.Facet.FeatureExtractionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  InputActions { Blank, Retain, Delete }
 Specifies how to handle the input facet bodies. More...
 

Public Member Functions

unsafe NXOpen.Spline[] GetExtractedBorders ()
 Gets the extracted curves. More...
 
unsafe NXOpen.Facet.FacetedBody[] GetExtractedRegions ()
 Gets the extracted facet bodies. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AreBordersEnabled [get, set]
 Returns or sets the extracting borders option More...
 
unsafe bool AreRegionsEnabled [get, set]
 Returns or sets the extracting regions option More...
 
unsafe
NXOpen.Facet.SelectFacetedBodyList 
FacetBodies [get]
 Returns the input facet body selection list More...
 
unsafe
NXOpen.Facet.FeatureExtractionBuilder.InputActions 
InputAction [get, set]
 Returns or sets the input facet body action More...
 
unsafe bool IsSmoothingEnabled [get, set]
 Returns or sets the smoothing option More...
 
unsafe double MinimumBorderLength [get, set]
 Returns or sets the minimum border length More...
 
unsafe double SmoothingFactor [get, set]
 Returns or sets the smoothing factor More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.FeatureExtractionBuilder It extracts feature lines or separates regions of different curvature from a facet body based on the curvature map.

For facet body curvature, please see NXOpen.Facet.CurvatureBuilder .

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateFacetFeatureExtractionBuilder

Created in NX5.0.0

Member Enumeration Documentation

Specifies how to handle the input facet bodies.

Enumerator
Blank 

Blank the input facet bodies

Retain 

Retain the input facet bodies

Delete 

Delete the input facet bodies

Member Function Documentation

unsafe NXOpen.Spline [] NXOpen.Facet.FeatureExtractionBuilder.GetExtractedBorders ( )
inline

Gets the extracted curves.

Call Builder.Commit before calling this method.

Created in NX5.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
The extracted curves
unsafe NXOpen.Facet.FacetedBody [] NXOpen.Facet.FeatureExtractionBuilder.GetExtractedRegions ( )
inline

Gets the extracted facet bodies.

Call Builder.Commit before calling this method.

Created in NX5.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
The extracted facet bodies

Property Documentation

unsafe bool NXOpen.Facet.FeatureExtractionBuilder.AreBordersEnabled
getset

Returns or sets the extracting borders option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.FeatureExtractionBuilder.AreRegionsEnabled
getset

Returns or sets the extracting regions option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.SelectFacetedBodyList NXOpen.Facet.FeatureExtractionBuilder.FacetBodies
get

Returns the input facet body selection list

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Facet.FeatureExtractionBuilder.InputActions NXOpen.Facet.FeatureExtractionBuilder.InputAction
getset

Returns or sets the input facet body action

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.FeatureExtractionBuilder.IsSmoothingEnabled
getset

Returns or sets the smoothing option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.FeatureExtractionBuilder.MinimumBorderLength
getset

Returns or sets the minimum border length

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.FeatureExtractionBuilder.SmoothingFactor
getset

Returns or sets the smoothing factor

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.